GDB (xrefs)

Public Member Functions | Private Member Functions | Private Attributes | List of all members
switch_thru_all_uis Class Reference

`#include "top.h"`

## Public Member Functions
| switch_thru_all_uis ()
bool | done () const
void | next ()

## Private Member Functions
switch_thru_all_uis & | operator= (const switch_thru_all_uis &)
| switch_thru_all_uis (const switch_thru_all_uis &)

## Private Attributes
struct ui * | m_iter
scoped_restore_tmpl< struct ui * > | m_save_ui

## Detailed Description

Definition at line 166 of file top.h.

## Constructor & Destructor Documentation

## ◆ switch_thru_all_uis() [1/2]

switch_thru_all_uis::switch_thru_all_uis | ( |  | ) |
| inline

Definition at line 170 of file top.h.

References current_ui, and ui_list.

## ◆ switch_thru_all_uis() [2/2]

switch_thru_all_uis::switch_thru_all_uis | ( | const switch_thru_all_uis & |  | ) |
| private

## Member Function Documentation

## ◆ done()

bool switch_thru_all_uis::done | ( |  | ) | const
| inline

Definition at line 176 of file top.h.

References m_iter.

## ◆ next()

void switch_thru_all_uis::next | ( |  | ) |
| inline

Definition at line 183 of file top.h.

References current_ui, m_iter, and ui::next.

## ◆ operator=()

switch_thru_all_uis& switch_thru_all_uis::operator= | ( | const switch_thru_all_uis & |  | ) |
| private

## Member Data Documentation

## ◆ m_iter

struct ui* switch_thru_all_uis::m_iter
| private

Definition at line 198 of file top.h.

Referenced by done(), and next().

## ◆ m_save_ui

scoped_restore_tmpl<struct ui *> switch_thru_all_uis::m_save_ui
| private

Definition at line 201 of file top.h.

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/top.h